Package org.silverpeas.components.yellowpages.model

# Class UserContact

java.lang.Object
org.silverpeas.components.yellowpages.model.UserContact

All Implemented Interfaces:
  `Serializable`

public class UserContact extends Object implements Serializable
This object contains elements which are displayed in a yellowpages Topic

Author:
  Nicolas Eysseric
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserContact()`
  Construct an empty TopicDetail
  `UserContact(org.silverpeas.core.admin.user.model.UserDetail owner, org.silverpeas.core.contact.model.ContactDetail contactDetail)`
  Create a new TopicDetail

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.silverpeas.core.contact.model.ContactDetail`
  `getContact()`
  Get the Topic nodePK
  `org.silverpeas.core.admin.user.model.UserDetail`
  `getOwner()`
  Get the owner
  `void`
  `setContact(org.silverpeas.core.contact.model.ContactDetail contact)`
  Set the contact
  `void`
  `setOwner(org.silverpeas.core.admin.user.model.UserDetail ud)`
  Set the owner

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserContact

    public UserContact()
    Construct an empty TopicDetail

  - ### UserContact

    public UserContact(org.silverpeas.core.admin.user.model.UserDetail owner, org.silverpeas.core.contact.model.ContactDetail contactDetail)
    Create a new TopicDetail

- ## Method Details

  - ### getOwner

    public org.silverpeas.core.admin.user.model.UserDetail getOwner()
    Get the owner
    Returns:
      the owner

  - ### getContact

    public org.silverpeas.core.contact.model.ContactDetail getContact()
    Get the Topic nodePK
    Returns:
      the Topic nodePK
    See Also:
      - `NodePK`

  - ### setOwner

    public void setOwner(org.silverpeas.core.admin.user.model.UserDetail ud)
    Set the owner
    Parameters:
      `ud` - the user detail to set

  - ### setContact

    public void setContact(org.silverpeas.core.contact.model.ContactDetail contact)
    Set the contact
    Parameters:
      `contact` - the contact to set
    Since:
      1.0